mixin headerTitle(pageName)
    .pageHeader
        span.pageTitle TeamChaos Lazertag -
        span.pageSubtitle #{pageName}
        .fill-width
            .login-container
                button.login-button.btnImg(onclick="redirectToLogin()")
            .options-container
                span.options-button.btnImg
                .options-window
                    .options-section#options-section-design
                        p Design
                        .option-container
                            label Theme:
                            select(type="select-one", onchange="setTheme(this.value)")
                                option(value="dark") dark
                                option(value="light") light
                                option(value="neon-blue") neon-blue
                                option(value="material") material
                                option(value="violet") violet
                                option(value="reddish") reddish
                        .option-container
                            label
                                input(type='checkbox', onchange="setBackgroundEnabled(this.checked)")
                                span.optionLabel Enable Background:
doctype html
html(theme="dark")
    head
        title= title
        block styles
            link(rel='stylesheet', href='/stylesheets/style.css')
            link(type="text/css" rel='stylesheet', href='/materialize/css/materialize.css')
            link(href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet")
            link(rel="shortcut icon" type="image/x-icon" href="assets/favicon.png")
            <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

    body
        block header

        block content
        canvas#backgroundCanvas

        block scripts
            //- Needed to work with imports in ts see: https://stackoverflow.com/a/56478107/8411228
            <script>let exports = {"__esModule": true};</script>
            script(src="materialize/js/materialize.js")
            script(type="module" src="scripts/common.js")
            script(type="module" src="scripts/page_settings.js")
